.cookie-banner {
    position: fixed;
    right: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    z-index: 500;
    background: #0078c1;
    padding: 24px 0;
    box-shadow: 0 2px 5px #fff;
}

.cookie-banner__form {
    margin: 0;
}

.cookie-banner__inner {
    max-width: 1470px;
    padding: 0 20px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin: 0 auto;
    gap: 24px;
}

.cookie-banner__content {
    max-width: 558px;
}

.cookie-banner__text {
    margin: 0;
    font-family: "Gilroy", sans-serif;
    font-size: 21px;
    line-height: 180%;
    font-weight: 400;
    color: #ffffff;
}

.cookie-banner__options {
    display: flex;
    align-items: center;
    gap: 45px;
}

.cookie-banner__option {
    display: flex;
    align-items: center;
}

.cookie-banner__checkbox {
    position: absolute;
    opacity: 0;
    width: 1px;
    height: 1px;
    pointer-events: none;
}

.cookie-banner__label {
    display: flex;
    align-items: center;
    font-family: "Gilroy", sans-serif;
    font-size: 16px;
    line-height: 100%;
    font-weight: 400;
    letter-spacing: -0.01em;
    color: #ffffff;
    cursor: pointer;
}

    .cookie-banner__label span:last-child {
        display: inline-block;
        margin-left: 12px;
    }

.cookie-banner__fake-checkbox {
    width: 24px;
    min-width: 24px;
    height: 24px;
    border: 1px solid #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
}

.cookie-banner__check-icon {
    opacity: 0;
}

.cookie-banner__checkbox:checked + .cookie-banner__label .cookie-banner__check-icon {
    opacity: 1;
}

.cookie-banner__checkbox:focus-visible + .cookie-banner__label .cookie-banner__fake-checkbox {
    outline: 2px solid #fff;
    outline-offset: 3px;
}

.cookie-banner__fake-checkbox--disabled {
    opacity: 0.6;
    cursor: default;
}

.cookie-banner__actions {
    display: flex;
    flex-direction: column;
    align-items: stretch;
}

.cookie-banner__button {
    width: 320px;
    max-width: 100%;
    padding: 18px 0;
    border: 1px solid #ffffff;
    background: transparent;
    color: #fff;
    text-transform: uppercase;
    font-family: "Gilroy", sans-serif;
    font-size: 14px;
    line-height: 100%;
    font-weight: 700;
    letter-spacing: 0.75px;
    display: block;
    text-align: center;
    cursor: pointer;
    transition: color 0.3s, background-color 0.3s;
}

    .cookie-banner__button:hover {
        background: #fff;
        color: #0078c1;
    }

.cookie-banner__button--primary {
    margin-bottom: 12px;
    background: #fff;
    color: #0078c1;
}

    .cookie-banner__button--primary:hover {
        background: #0078c1;
        color: #fff;
    }

.cookie-banner__button--secondary {
    text-decoration: none;
}

@media screen and (max-width: 1080px) {
    .cookie-banner__inner {
        flex-direction: column;
        text-align: center;
    }

    .cookie-banner__options {
        margin: 6px 0;
    }
}

@media screen and (max-width: 767px) {
    .cookie-banner {
        width: 100vw;
        padding: 18px 0;
    }

    .cookie-banner__inner {
        align-items: stretch;
    }

    .cookie-banner__text {
        font-size: 16px;
    }

    .cookie-banner__options {
        flex-direction: column;
        align-items: flex-start;
        gap: 8px;
        margin: 12px auto;
    }

    .cookie-banner__actions {
        align-items: center;
    }

    .cookie-banner__button {
        width: 300px;
    }
}
